Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.encryption
Interface ReferenceList

    public interface ReferenceList

`ReferenceList` is an element that contains pointers from a key value of an `EncryptedKey` to items encrypted by that key value (`EncryptedData` or `EncryptedKey` elements).

It is defined as follows:

     <element name='ReferenceList'>
         <complexType>
             <choice minOccurs='1' maxOccurs='unbounded'>
                 <element name='DataReference' type='xenc:ReferenceType'/>
                 <element name='KeyReference' type='xenc:ReferenceType'/>
             </choice>
         </complexType>
     </element>

Author:
  Axl Mattheus
See Also:
  `Reference`

Field Summary
`static int` | `DATA_REFERENCE` DATA TAG
`static int` | `KEY_REFERENCE` KEY TAG

Method Summary
`void` | `add(Reference reference)` Adds a reference to this reference list.
`java.util.Iterator<Reference>` | `getReferences()` Returns an `Iterator` over all the `Reference`s contained in this `ReferenceList`.
`boolean` | `isEmpty()` Indicates if the `ReferenceList` is empty.
`Reference` | `newDataReference(java.lang.String uri)` `DataReference` factory method.
`Reference` | `newKeyReference(java.lang.String uri)` `KeyReference` factory method.
`void` | `remove(Reference reference)` Removes a reference from the `ReferenceList`.
`int` | `size()` Returns the size of the `ReferenceList`.

Field Detail

### DATA_REFERENCE

    static final int DATA_REFERENCE

  DATA TAG

  See Also:
    Constant Field Values

### KEY_REFERENCE

    static final int KEY_REFERENCE

  KEY TAG

  See Also:
    Constant Field Values

Method Detail

### add

    void add(Reference reference)

  Adds a reference to this reference list.

  Parameters:
    `reference` - the reference to add.
  Throws:
    `java.lang.IllegalAccessException` - if the `Reference` is not an instance of `DataReference` or `KeyReference`.

### remove

    void remove(Reference reference)

  Removes a reference from the `ReferenceList`.

  Parameters:
    `reference` - the reference to remove.

### size

    int size()

  Returns the size of the `ReferenceList`.

  Returns:
    the size of the `ReferenceList`.

### isEmpty

    boolean isEmpty()

  Indicates if the `ReferenceList` is empty.

  Returns:
    `true` if the `ReferenceList` is empty, else `false`.

### getReferences

    java.util.Iterator<Reference> getReferences()

  Returns an `Iterator` over all the `Reference`s contained in this `ReferenceList`.

  Returns:
    Iterator.

### newDataReference

    Reference newDataReference(java.lang.String uri)

  `DataReference` factory method. Returns a `DataReference`.

  Parameters:
    `uri` -
  Returns:
    a `DataReference`.

### newKeyReference

    Reference newKeyReference(java.lang.String uri)

  `KeyReference` factory method. Returns a `KeyReference`.

  Parameters:
    `uri` -
  Returns:
    a `KeyReference`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD